=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: appstream,
               asciidoc-base,
               bash-completion,
               dbus <!nocheck>,
               debhelper-compat (= 12),
               dh-sequence-gir,
               dh-sequence-gnome,
               gir1.2-accountsservice-1.0 <!nocheck>,
               gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
               gir1.2-geoclue-2.0 <!nocheck>,
               gir1.2-gnomedesktop-3.0 (>= 3.35.90) <!nocheck>,
               gir1.2-gweather-3.0 (>= 3.25.91) <!nocheck>,
               gir1.2-rsvg-2.0 <!nocheck>,
               gnome-control-center-dev (>= 1:3.4),
               gnome-pkg-tools (>= 0.11),
               gnome-settings-daemon-common <!nocheck>,
               gobject-introspection (>= 1.49.1),
               gsettings-desktop-schemas-dev (>= 3.33.1),
               gtk-doc-tools,
               libasound2-dev,
               libatk-bridge2.0-dev,
               libecal2.0-dev (>= 3.33.1),
               libedataserver1.2-dev (>= 3.33.1),
               libgcr-3-dev (>= 3.7.5),
               libgirepository1.0-dev (>= 1.29.15),
               libgjs-dev (>= 1.63.2),
               libgl1-mesa-dri <!nocheck>,
               libglib2.0-dev (>= 2.57.2),
               libgnome-autoar-0-dev,
               libgnome-bluetooth-dev (>= 3.9.0) [linux-any],
               libgnome-desktop-3-dev (>= 3.35.90),
               libgnome-menu-3-dev,
               libgstreamer1.0-dev (>= 0.11.92),
               libgtk-3-dev (>= 3.21.6),
               libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
               libjson-glib-dev,
               libmutter-6-dev (>= 3.36.0),
               libnm-dev (>= 1.10.4) [linux-any],
               libpolkit-agent-1-dev (>= 0.100),
               libpulse-dev (>= 13),
               libsecret-1-dev,
               libstartup-notification0-dev (>= 0.11),
               libsystemd-dev [linux-any],
               libx11-dev,
               libxfixes-dev,
               libxml2-dev,
               mesa-common-dev,
               meson (>= 0.47.0),
               pkg-config (>= 0.22),
               sassc,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               xwayland <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://wiki.gnome.org/Projects/GnomeShell
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/focal
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/focal

Package: gnome-shell
Architecture: linux-any
Depends: evolution-data-server (>= 3.33.1),
         gir1.2-accountsservice-1.0,
         gir1.2-atspi-2.0 (>= 2.36),
         gir1.2-freedesktop,
         gir1.2-gcr-3 (>= 3.7.5),
         gir1.2-gdesktopenums-3.0 (>= 3.12),
         gir1.2-gdm-1.0 (>= 3.18.2),
         gir1.2-geoclue-2.0,
         gir1.2-glib-2.0 (>= 1.56.0),
         gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
         gir1.2-gnomedesktop-3.0 (>= 3.35.90),
         gir1.2-gtk-3.0 (>= 3.16),
         gir1.2-gweather-3.0 (>= 3.25.91),
         gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
         gir1.2-mutter-6 (>= 3.36.0),
         gir1.2-nm-1.0 [linux-any],
         gir1.2-nma-1.0 [linux-any],
         gir1.2-pango-1.0,
         gir1.2-polkit-1.0,
         gir1.2-rsvg-2.0,
         gir1.2-soup-2.4 (>= 2.40.1),
         gir1.2-upowerglib-1.0 (>= 0.99),
         gjs (>= 1.63.2),
         gnome-settings-daemon (>= 3.16.0),
         gnome-shell-common (= ${source:Version}),
         pearl-wallpapers,
         gsettings-desktop-schemas (>= 3.33.1),
         libglib2.0-bin (>= 2.53.0),
         mutter (>= 3.36.0),
         python3,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bolt (>= 0.3),
            gdm3 (>= 3.10.0.1-3~),
            gkbd-capplet,
            gnome-control-center (>= 1:3.25.2),
            gnome-menus,
            gnome-user-docs,
            ibus,
            iio-sensor-proxy,
            switcheroo-control,
            pearl-session | gnome-session,
            xserver-xorg-legacy,
            unzip
Suggests: chrome-gnome-shell,
          gir1.2-telepathyglib-0.12,
          gnome-themes-standard-data,
          gnome-backgrounds (>= 3.13.90),
          gir1.2-telepathylogger-0.2 (>= 0.8.0)
Breaks: gnome-shell-extension-appindicator (<< 33),
        gnome-shell-extension-autohidetopbar (<< 20180511-2~),
        gnome-shell-extension-caffeine (<< 0~git20171229-3~),
        gnome-shell-extension-dash-to-panel (<= 18-1),
        gnome-shell-extension-dashtodock (<< 67+git20200225-1),
        gnome-shell-extension-desktop-icons (<< 19.10.2+git20200223),
        gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~),
        gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
        gnome-shell-extension-taskbar (<< 57.0-2.1~),
        gnome-shell-extension-top-icons-plus (<< 21-4~),
        gnome-shell-extension-ubuntu-dock (<< 67ubuntu20.04.3),
        gnome-shell-extension-workspaces-to-dock (<< 45-1.1~),
        gnome-shell-pomodoro (<< 0.13.4-2.1~),
        gnome-session (<< 3.35.3-1ubuntu4~),
        nautilus (<< 1:3.30),
Provides: notification-daemon,
          polkit-1-auth-agent
Description: graphical shell for the GNOME desktop
 The GNOME Shell provides core interface functions like switching
 windows, launching applications or see your notifications. It takes
 advantage of the capabilities of modern graphics hardware and
 introduces innovative user interface concepts to provide a
 delightful and easy to use experience. GNOME Shell is the defining
 technology of the GNOME 3 user experience.

Package: gnome-shell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: yaru-theme-gnome-shell
Breaks: gnome-shell (<< 3.36.1-6~)
Replaces: gnome-shell (<< 3.36.1-6~)
Description: common files for the GNOME graphical shell
 This package contains translations and data files for the GNOME shell.

Package: gnome-shell-extension-prefs
Architecture: linux-any
Depends: gnome-shell (= ${binary:Version}),
         gnome-shell-common (= ${source:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: chrome-gnome-shell
Breaks: gnome-shell (<< 3.36.0-2)
Replaces: gnome-shell (<< 3.36.0-2)
Description: tool to enable / disable GNOME Shell extensions
  This package contains a tool which users who use Shell extensions can use to
  toggle them on and off, and access their preferences.
