## gnome-shell 3.36.9

=== debian/changelog ===
gnome-shell (3.36.9-0ubuntu0.20.04.5) focal; urgency=medium

  [ Nathan Pratta Teodosio ]
  * d/p/chromium-snap-pwa.patch: Fixes tab and dock grouping of progressive
    web applications for the Chromium snap (LP: #2007652)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Nov 2024 13:03:40 +0100

gnome-shell (3.36.9-0ubuntu0.20.04.4) focal-security; urgency=medium

  * SECURITY UPDATE: resource consumption via portal helper
    - debian/patches/CVE-2024-36472.patch: show notification when detecting
      captive portal in js/ui/status/network.js.
    - CVE-2024-36472

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 14 Aug 2024 09:57:00 -0400

gnome-shell (3.36.9-0ubuntu0.20.04.3) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Cherry-pick upstream calendar-server crash fix
    (LP: #1915929)
  * debian/patches: Refresh indexes

  [ Daniel van Vugt ]
  * Add edgeDragAction-Change-edge-trigger-threshold-to-AFTER.patch
    (LP: #2042796)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 11 Dec 2023 20:08:17 +0100

gnome-shell (3.36.9-0ubuntu0.20.04.2) focal; urgency=medium

  [ Didier Roche ]
  [ Jean-Baptiste Lallement ]
  * debian/patches/ubuntu/configure_login_screen.patch:
    Make GDM background configurable with gsettings (LP: #1929536)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 19 May 2021 15:49:17 +0200

gnome-shell (3.36.9-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1921963):
    - Improve login screen accessibility
    - Prefer image-data hint over app-icon in notifications
    - Plugged leak
    - Fixed crashes
  * debian/patches:
    - Correctly handle login cancellation and failures (LP: #1915066)
    - Show errors on fingerprint failures and limit retries (LP: #1865838)
    - gdm: Don't try to retry authenticating when the service is unavailable
      (LP: #1915570)
    - Enable to use Escape to cancel auth requests (with limits) (LP: #1921929)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 31 Mar 2021 00:50:16 +0200

gnome-shell (3.36.7-0ubuntu0.20.04.1) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release (LP: #1903764)
    - Fix potential stack overflow in libcroco
    - Fix system action search regressions
    - Fix week number alignment when using font-scaling
    - Misc. bug fixes and cleanups
  * debian/patches:
    - Refresh
    - Handle screenshot failures gracefully (LP: #1908187)

  [ Matthew Ruffell ]
  * authPrompt-Properly-get-oVirt-service-name.patch,
    authPrompt-set-value-of-beginRequestType-to-DONT_PROVIDE_.patch,
    gdm-Introduce-vmware-credential-manager-for-pre-authentic.patch,
    gdm-Refactor-oVirt-to-a-generic-CredentialManager-interfa.patch:
    - Enable support for VMware Horizon SSO to ensure compatibility
      with the Horizon Agent (LP: #1886592)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Dec 2020 05:54:44 +0100

gnome-shell (3.36.6-1ubuntu0.20.04.1) focal; urgency=medium

  * Merge with debian, containing new stable release (LP: #1896334)
  * debian/patches: Refresh, drop merged CVE-2020-17489.patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 19 Sep 2020 17:48:17 +0200

gnome-shell (3.36.6-1) unstable; urgency=medium

  * Team upload

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Sep 2020 12:27:18 +0100

gnome-shell (3.36.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix password briefly showing on login dialog during logout if it
      was previously made visible (CVE-2020-17489, Closes: #968311)
  * Drop most patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Aug 2020 21:28:22 +0100

gnome-shell (3.36.4-1ubuntu1~20.04.2) focal-security; urgency=medium

  * SECURITY UPDATE: password dialog box information disclosure
    - debian/patches/CVE-2020-17489.patch: reset auth prompt on vt switch
      before fade in in js/gdm/loginDialog.js.
    - CVE-2020-17489

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Aug 2020 13:26:51 -0400

gnome-shell (3.36.4-1ubuntu1~20.04.1) focal; urgency=medium

  * No change backport to focal

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Jul 2020 11:37:31 +0200
