=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream,
                asciidoc-base,
                bash-completion,
@@ -96,7 +96,7 @@
          gjs (>= 1.63.2),
          gnome-settings-daemon (>= 3.16.0),
          gnome-shell-common (= ${source:Version}),
-         pearl-wallpapers,
+         ubuntu-wallpapers,
          gsettings-desktop-schemas (>= 3.33.1),
          libglib2.0-bin (>= 2.53.0),
          mutter (>= 3.36.0),
@@ -113,7 +113,7 @@
             ibus,
             iio-sensor-proxy,
             switcheroo-control,
-            pearl-session | gnome-session,
+            ubuntu-session | gnome-session,
             xserver-xorg-legacy,
             unzip
 Suggests: chrome-gnome-shell,
@@ -136,6 +136,7 @@
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
         gnome-session (<< 3.35.3-1ubuntu4~),
         nautilus (<< 1:3.30),
+        yaru-theme-gnome-shell (<< 20.04.3~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
