## gnome-shell 3.36.9-0ubuntu0.20.04.2+10.0trisquel1

=== debian/changelog ===
gnome-shell (3.36.9-0ubuntu0.20.04.2+10.0trisquel1) nabia; urgency=medium

  * Drop deprecated scripts running on trisquel-mini.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 28 May 2023 21:42:06 +0000
