=== debian/control ===
--- 
+++ 
@@ -5,22 +5,24 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: appstream,
                asciidoc-base,
                bash-completion,
                dbus <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
+               gjs,
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
                gir1.2-gnomedesktop-3.0 (>= 3.35.90) <!nocheck>,
                gir1.2-gweather-3.0 (>= 3.25.91) <!nocheck>,
                gir1.2-rsvg-2.0 <!nocheck>,
+               gir1.2-upowerglib-1.0 <!nocheck>,
                gnome-control-center-dev (>= 1:3.4),
                gnome-pkg-tools (>= 0.11),
                gnome-settings-daemon-common <!nocheck>,
@@ -33,7 +35,7 @@
                libedataserver1.2-dev (>= 3.33.1),
                libgcr-3-dev (>= 3.7.5),
                libgirepository1.0-dev (>= 1.29.15),
-               libgjs-dev (>= 1.63.2),
+               libgjs-dev (>= 1.65.1),
                libgl1-mesa-dri <!nocheck>,
                libglib2.0-dev (>= 2.57.2),
                libgnome-autoar-0-dev,
@@ -44,7 +46,7 @@
                libgtk-3-dev (>= 3.21.6),
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-6-dev (>= 3.36.0),
+               libmutter-7-dev (>= 3.38.0),
                libnm-dev (>= 1.10.4) [linux-any],
                libpolkit-agent-1-dev (>= 0.100),
                libpulse-dev (>= 13),
@@ -55,9 +57,10 @@
                libxfixes-dev,
                libxml2-dev,
                mesa-common-dev,
-               meson (>= 0.47.0),
+               meson (>= 0.53.0),
                pkg-config (>= 0.22),
                sassc,
+               systemd [linux-any],
                xauth <!nocheck>,
                xvfb <!nocheck>,
                xwayland <!nocheck>
@@ -66,8 +69,8 @@
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/focal
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/focal
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
 
 Package: gnome-shell
 Architecture: linux-any
@@ -85,7 +88,7 @@
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gweather-3.0 (>= 3.25.91),
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-6 (>= 3.36.0),
+         gir1.2-mutter-7 (>= 3.38.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -93,13 +96,12 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-2.4 (>= 2.40.1),
          gir1.2-upowerglib-1.0 (>= 0.99),
-         gjs (>= 1.63.2),
+         gjs (>= 1.65.1),
          gnome-settings-daemon (>= 3.16.0),
          gnome-shell-common (= ${source:Version}),
          ubuntu-wallpapers,
          gsettings-desktop-schemas (>= 3.33.1),
          libglib2.0-bin (>= 2.53.0),
-         mutter (>= 3.36.0),
          python3,
          ${gir:Depends},
          ${misc:Depends},
@@ -126,17 +128,17 @@
         gnome-shell-extension-caffeine (<< 0~git20171229-3~),
         gnome-shell-extension-dash-to-panel (<= 18-1),
         gnome-shell-extension-dashtodock (<< 67+git20200225-1),
-        gnome-shell-extension-desktop-icons (<< 19.10.2+git20200223),
+        gnome-shell-extension-desktop-icons (<< 20.04.0+git20200825),
         gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~),
         gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
         gnome-shell-extension-taskbar (<< 57.0-2.1~),
         gnome-shell-extension-top-icons-plus (<< 21-4~),
-        gnome-shell-extension-ubuntu-dock (<< 67ubuntu20.04.3),
+        gnome-shell-extension-ubuntu-dock (<< 68ubuntu20.10.1),
         gnome-shell-extension-workspaces-to-dock (<< 45-1.1~),
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
         gnome-session (<< 3.35.3-1ubuntu4~),
         nautilus (<< 1:3.30),
-        yaru-theme-gnome-shell (<< 20.04.3~),
+        yaru-theme-gnome-shell (<< 20.10.3~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
@@ -167,5 +169,5 @@
 Breaks: gnome-shell (<< 3.36.0-2)
 Replaces: gnome-shell (<< 3.36.0-2)
 Description: tool to enable / disable GNOME Shell extensions
-  This package contains a tool which users who use Shell extensions can use to
-  toggle them on and off, and access their preferences.
+ This package contains a tool which users who use Shell extensions can use to
+ toggle them on and off, and access their preferences.
