## gnome-shell 3.38.3

=== debian/changelog ===
gnome-shell (3.38.3-2ubuntu0.20.10.2) groovy; urgency=medium

  * d/p/gdm-Don-t-try-to-retry-authenticating-when-the-service-is.patch:
    - gdm: Don't try to retry authenticating when the service is unavailable
      (Related to lp:1915570, regression in 3.38.3-2ubuntu0.20.10.1)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 16 Feb 2021 05:23:21 +0100

gnome-shell (3.38.3-2ubuntu0.20.10.1) groovy; urgency=medium

  * Merge with debian, containing new upstream release (LP: #1915089)
  * debian/patches: Correctly handle login cancellation and failures.
    Ensure the GDM workers are terminated before restarting a new auth
    request, allowing fingerprint authentication to be restarted.
    (LP: #1915066)
  * debian/patches: Show errors on fingerprint failures and limit retries.
    (LP: #1865838)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 09 Feb 2021 05:18:25 +0100

gnome-shell (3.38.3-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to 3.38.3-3-ge3dc4401d from gnome-3-38 branch
    - Fix opening Extensions app from notification
    - Fix workspace layout in right-to-left locales
    - Don't break window focusing if trying to take an area screenshot while
      an application such as a game has an X11 grab (LP: #1910235)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 10:27:05 +0000

gnome-shell (3.38.3-1) unstable; urgency=medium

  * Team upload
  * d/watch: Only watch for 3.38.x versions
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Jan 2021 20:13:26 +0000

gnome-shell (3.38.2-1ubuntu1~20.10.1) groovy; urgency=medium

  * No-change backport to groovy
  * debian: Update gbp.conf and control references to groovy branching

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Dec 2020 03:09:19 +0100

gnome-shell (3.38.2-1ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing new upstream release (LP: #1908161):
    - Fixed crash in meta_window_actor_thaw (LP: #1897765)
    - Fixed crash in st_bin_destroy (LP: #1898005)
  * debian/patches:
    - Refreshed
    - Revert-appDisplay-baseAppView-Cleanup-animate.patch:
      + Revert a 3.38.2 change that proved to cause regressions
    - screenshot-Grab-screenshot-during-paint-on-X11.patch:
      + Correctly take screenshots for fullscreen games (LP: #1908164)
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Dec 2020 02:42:26 +0100

gnome-shell (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Improve app picker spacing on larger resolutions
    - Don't add dialogs to the window preview more than once
    - Avoid cursor visibility changes on startup
    - Remove dead code in StButton, StEntry
    - Make FocusApp D-Bus method more reliable
    - Fix crashes with the desktop-icons extension
      (LP: #1898005, LP: #1898910)
    - Silence some warnings
    - Update translations: nb, zh_CN
    - Otherwise functionally equivalent to 3.38.1-3
  * Drop patches that were included in the new upstream release
  * d/gbp.conf: Use upstream 3.38.x branch.
    Version 40~alpha was already released, so it's misleading to say that
    3.38.x is the latest.
  * Standards-Version: 4.5.1 (no changes required)
  * Update Lintian overrides
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Dec 2020 10:40:52 +0000

gnome-shell (3.38.1-3) experimental; urgency=medium

  * Team upload
  * Update to upstream gnome-3-38 branch, commit 3.38.1-19-ge93b8263b
    - Fix a crash with message "Error in freeze/thaw accounting"
    - Don't crash if taking a per-window screenshot fails

