=== debian/control ===
--- 
+++ 
@@ -65,12 +65,12 @@
                xvfb <!nocheck>,
                xwayland <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/groovy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/groovy
 
 Package: gnome-shell
 Architecture: linux-any
@@ -85,6 +85,7 @@
          gir1.2-glib-2.0 (>= 1.56.0),
          gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
          gir1.2-gnomedesktop-3.0 (>= 3.35.90),
+         gir1.2-gstreamer-1.0,
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gweather-3.0 (>= 3.25.91),
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
